List filtering rules
curl --request GET \
--url https://management-api.fpjs.io/filtering-rules \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://management-api.fpjs.io/filtering-rules"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://management-api.fpjs.io/filtering-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "tr_abc123xyz",
"name": "Block suspicious IPs",
"environment": "ae_rrETjdWcfqI6AFsk",
"expression": "http.request.ip in cidr('192.168.1.1/32')",
"action": "deny",
"status": "enabled",
"created_at": "2024-05-31T01:24:39.506Z",
"deny_with": "Forbidden",
"updated_at": "2024-06-01T10:15:30.123Z"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}filtering-rules
List filtering rules
Lists all filtering rules for the workspace associated with the Management API key. Supports filtering by environment, status, and name.
GET
/
filtering-rules
List filtering rules
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Management API version.
Query Parameters
Filters by environment ID.
Filters by rule status.
Available options:
enabled, disabled Filters by rule name (partial match).
Response
List of filtering rules matching the given query.
Show child attributes
Show child attributes
Was this page helpful?
⌘I